Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-qt/repodlgs.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Structures | Functions
repodlgs.h File Reference
`#include <QLabel>`
`#include <QPushButton>`
`#include <QWidget>`
`#include "climisc.h"`
`#include "repodlgs_g.h"`
`#include "fonts.h"`
`#include "mapview.h"`

Go to the source code of this file.

## Data Structures

class | unittype_item
class | units_reports
struct | qlist_item
class | req_tooltip_help
class | research_diagram
class | science_report
class | eco_report
class | endgame_report

## Functions

bool | comp_less_than (const qlist_item &q1, const qlist_item &q2)
void | popdown_economy_report ()
void | popdown_units_report ()
void | popdown_science_report ()
void | popdown_endgame_report ()
void | popup_endgame_report ()
void | toggle_units_report (bool)

## Function Documentation

## ◆ comp_less_than()

bool comp_less_than | ( | const qlist_item & | q1,
|  | const qlist_item & | q2
| ) |  |

Compare unit_items (used for techs) by name

Definition at line 545 of file repodlgs.cpp.

Referenced by side_right_click_science(), and science_report::update_report().

## ◆ popdown_economy_report()

void popdown_economy_report | ( |  | ) |

Closes economy report

Definition at line 1828 of file repodlgs.cpp.

## ◆ popdown_endgame_report()

void popdown_endgame_report | ( |  | ) |

Removes endgame report

Definition at line 1764 of file repodlgs.cpp.

## ◆ popdown_science_report()

void popdown_science_report | ( |  | ) |

Closes science report

Definition at line 1846 of file repodlgs.cpp.

## ◆ popdown_units_report()

void popdown_units_report | ( |  | ) |

Closes units report

Definition at line 1864 of file repodlgs.cpp.

## ◆ popup_endgame_report()

void popup_endgame_report | ( |  | ) |

Popups endgame report to front if exists

Definition at line 1778 of file repodlgs.cpp.

Referenced by mr_menu::slot_endgame().

## ◆ toggle_units_report()

void toggle_units_report | ( | bool | x | ) |

Toggles units report, bool used for compatibility with sidebar callback

Definition at line 1872 of file repodlgs.cpp.